bullet_name = "bullet-robo"
dofile_lua( bullet_name )

-- leave me
	local actor = ACTOR_preload()
-- leave me

	-- default for this beastie
	actor[cp_actor_name]		= "robot_yellow"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "robo-y"

	actor[cp_hit_delay]			= 3.0

	actor[cp_move_type]			= cmt_track + cmt_anim_to_move + cmt_repelled

	actor[cp_actor_type]			= cat_robot
--	actor[cp_i_collide_with_beasties]	= cat_player + cat_robot
--	actor[cp_these_collide_with_me]		= cat_player + cat_bullet + cat_robot
--	actor[cp_i_avoid_these_beasties]	= cat_block + cat_robot + cat_blocker

	actor[cp_i_am_repelled_by]		= cat_block + cat_blocker + cat_robot + cat_webblob
	actor[cp_repel_dist]			= 5.0

	actor[cp_score]				= 300
	actor[cp_bonus_seq_hit]		= 3
	actor[cp_bonus_seq_score]	= 3000

	actor[cp_hit_power]			= 5.0

	-- movement
	actor[cp_move_speed_min]	= 0.8
	actor[cp_move_speed_max]	= 0.12

	actor[cp_look_ahead_dist]		= 2.0
	actor[cp_target_stop_dist]		= 3.0

	actor[cp_turn_lock_angle_inner]		= 85.0
	actor[cp_turn_lock_angle_outer]		= 95.0
	actor[cp_turn_speed_still]			= 3.0
	actor[cp_turn_acceleration_still]	= 0.3
	actor[cp_turn_inertia_still]		= 0.0
	actor[cp_turn_speed_moving]			= 2.0
	actor[cp_turn_acceleration_moving]	= 0.3
	actor[cp_turn_inertia_moving]		= 0.0

	actor[cp_weight]				= 30000.0
	actor[cp_launch_scale_min]		= 32.5
	actor[cp_launch_scale_max]		= 37.5

	actor[cp_launch_hue_shift] = color - 100

	actor[cp_health_percent]		= 8000.0

	actor[cp_multiple_beast_shoot_rate]	= 1.0
	actor[cp_multiple_beast_base_num]	= 1.0


	actor[cp_difficulty_adjust_shoot] = 90.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "pulse", 100.0, 130.0, 0.0, 0.0 )
	c_set_random_anim( "blink", 65.0, 105.0, 0.0, 1.0 )

	c_set_random_anim( "sing", 100.0, 100.0, 0.0, 5.0 )	
	c_add_sound_to_anim( "sing", "robo-sing3", 50 )	

	c_add_particle_to_anim( "emerge", "mainbody", "robo-y_emerge" )
	c_add_particle_to_anim( "emerge", "mainbody", "robo-y_emergepad" )

	c_add_particle_to_anim( "mutate", "mainbody", "robo-g_mutate" )
	c_add_particle_to_anim( "mutate", "mainbody", "robo-g_mutate2" )

	c_add_sound_to_anim( "emerge", "robo-y_emerge", 150 )
	c_add_sound_to_anim( "mutate", "robo-y_mutate" )
	c_add_sound_to_anim( "walk", "robo_step", 1 )
	c_add_sound_to_event( "hit_active_bone", "robo_hit_y" )

	c_set_use_anim_for( "move_forward", "walk", 95.0, 105.0 )

	local boo = WEAPON_preload( bullet_name )
	boo[w_gun_bone_name]		= "bodymesh"
	boo[w_shaft_bone_name]		= "bodymesh"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "no_bone_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 65.0
	boo[w_barrel_offset]		= 2.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_reload_random]		= 100.0
	local seq = { 3.0 }
	WEAPON_add( boo, seq )

	local seq = { 0.0, 0.04, 0.1 }
	c_set_use_explosion_for( "bye_bye", "robo_yellow", exp_no_align, 30.0, 0.0, 1300.0, 1600.0, seq )
	c_add_sound_to_explosion( "robo_yellow", "explode", "robo-y_death" )

	c_set_use_explosion_for( "bye_bye", "robo_yellow_flash", exp_no_align, 0.0, 0.5, 3000.0, 3000.0, {0.0} )
	c_add_particle_to_explosion( "robo_yellow_flash", "explode", "", "robo-y_flash" )

	-- default for this beastie

	-- new state
	-- new state
